<template>
  <div class="work-time-management">
    <div style="text-align: left">
      <el-radio-group v-model="currentComponent" size="small" style="margin-top: 16px;margin-bottom: 16px;">
        <el-radio-button label="workTimeStatistics" v-if="selectAuxiliaryOriginalHours">
          工时统计
        </el-radio-button>
        <el-radio-button label="workTimeManagement" v-if="selectAuxiliaryOutputWorkingHours">
          日工时管理
        </el-radio-button>
        <el-radio-button label="workTimeConfig" v-if="insertAuxiliaryWorkingHours">
          辅助工时配置
        </el-radio-button>
      </el-radio-group>
    </div>
    <component :is="currentComponent"></component>
  </div>
</template>

<script>
import workTimeStatistics from '../do/b3-work-time-management/work-time-statistics.vue'
import workTimeManagement from '../do/b3-work-time-management/work-time-management.vue'
import workTimeConfig from '../do/b3-work-time-management/work-time-config.vue'
export default {
  components: {
    workTimeStatistics,
    workTimeManagement,
    workTimeConfig
  },
  created() {
    this.getPower()
  },
  data() {
    return{
      currentComponent:'workTimeStatistics',
      selectAuxiliaryOriginalHours:false,
      selectAuxiliaryOutputWorkingHours:false,
      insertAuxiliaryWorkingHours:false
    }
  },
  methods: {
    getPower(){
      let power = JSON.parse(sessionStorage.getItem('power'))
      let selectAuxiliaryOriginalHours = false
      let selectAuxiliaryOutputWorkingHours = false
      let insertAuxiliaryWorkingHours = false
      for (var i = 0; i < power.length; i++) {
        if (power[i].menuMethod == 'selectAuxiliaryOriginalHours') {
          selectAuxiliaryOriginalHours = true
        }
        if (power[i].menuMethod == 'selectAuxiliaryOutputWorkingHours') {
          selectAuxiliaryOutputWorkingHours = true
        }
        if (power[i].menuMethod == 'insertAuxiliaryWorkingHours') {
          insertAuxiliaryWorkingHours = true
        }
      }
      this.selectAuxiliaryOriginalHours = selectAuxiliaryOriginalHours
      this.selectAuxiliaryOutputWorkingHours = selectAuxiliaryOutputWorkingHours
      this.insertAuxiliaryWorkingHours = insertAuxiliaryWorkingHours
      if(this.selectAuxiliaryOriginalHours){
        this.currentComponent = 'workTimeStatistics'
      }else if(this.selectAuxiliaryOutputWorkingHours){
        this.currentComponent = 'workTimeManagement'
      }else if(this.insertAuxiliaryWorkingHours){
        this.currentComponent = 'workTimeConfig'
      }
    }
  }
}
</script>

<style scoped>

</style>
